# pyhoff.devices.KL3054 — pyhoff documentation

Skip to main content
`Ctrl`+`K`

# pyhoff.devices.KL3054

class pyhoff.devices.KL3054(bus_coupler, output_bit_addresses, input_bit_addresses, output_word_addresses, input_word_addresses, mixed_mapping)

  Bases: `AnalogInputTerminal`

  KL3054: 4x analog input 4…20 mA 12 Bit single-ended

  read_channel_word(channel, error_value=-99999)

    Read a single word from the terminal.

    Parameters:

      channel (`int`) – The channel number (1 based index) to read from.

    Return type:

      `int`

    Returns:

      The read word value.

    Raises:

      Exception – If the word offset or count is out of range.

  read_current(channel)

    Read the current value from a specific channel.

    Parameters:

      channel (`int`) – The channel number to read from.

    Return type:

      `float`

    Returns:

      The current value in mA.

  read_normalized(channel)

    Read a normalized value (0…1) from a specific channel.

    Parameters:

      channel (`int`) – The channel number to read from.

    Return type:

      `float`

    Returns:

      The normalized value.